curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"excludedResourceTypes": [
{
"appId": "<string>",
"resourceTypeId": "<string>"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": true,
"membershipCriteria": true,
"membershipExceptions": true
},
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"usedWithinLast": "<string>"
},
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type"
payload = {
"excludedResourceTypes": [
{
"appId": "<string>",
"resourceTypeId": "<string>"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": True,
"membershipCriteria": True,
"membershipExceptions": True
},
"accountCelExpression": { "expression": "<string>" },
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": True
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": ["<string>"],
"complianceFrameworkAttributeValueIds": ["<string>"],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": ["<string>"]
},
"celExpression": { "expression": "<string>" },
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": ["<string>"],
"complianceFrameworkAttributeValueIds": ["<string>"],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": ["<string>"]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": ["<string>"],
"includedAccessProfileIds": ["<string>"]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"usedWithinLast": "<string>"
},
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": { "userIds": ["<string>"] },
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": ["<string>"],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
excludedResourceTypes: [{appId: '<string>', resourceTypeId: '<string>'}],
scope: {
accessProfileReviewDimensions: {composition: true, membershipCriteria: true, membershipExceptions: true},
accountCelExpression: {expression: '<string>'},
accountCriteria: {accountTypes: [], appUserStatuses: [], noAccountOwner: true},
allAccessConflicts: {},
allAccounts: {},
allGrants: {},
allUsers: {},
appAccess: {},
appSelectionCriteria: {
annotationMatches: [{key: '<string>', value: '<string>'}],
appIds: ['<string>'],
complianceFrameworkAttributeValueIds: ['<string>'],
resourceProfileMatches: [{key: '<string>', value: '<string>'}],
resourceTypeRefs: [{appId: '<string>', id: '<string>'}],
riskLevelAttributeValueIds: ['<string>']
},
celExpression: {expression: '<string>'},
excludedAppSelectionCriteria: {
annotationMatches: [{key: '<string>', value: '<string>'}],
appIds: ['<string>'],
complianceFrameworkAttributeValueIds: ['<string>'],
resourceProfileMatches: [{key: '<string>', value: '<string>'}],
resourceTypeRefs: [{appId: '<string>', id: '<string>'}],
riskLevelAttributeValueIds: ['<string>']
},
excludedResourceTypeSelections: {},
excludedSpecificResources: {},
grantsByCriteria: {
accessProfileFilter: {excludedAccessProfileIds: ['<string>'], includedAccessProfileIds: ['<string>']},
daysSinceAdded: '<string>',
daysSinceLastUsed: '<string>',
daysSinceReviewed: '<string>',
grantsAddedBetween: {endDate: '2023-11-07T05:31:56Z', startDate: '2023-11-07T05:31:56Z'},
usedWithinLast: '<string>'
},
resourceSelection: {},
resourceTypeSelections: {},
scopeRoleSelection: {},
selectedUsers: {userIds: ['<string>']},
specificAccessConflicts: {},
specificAccessProfiles: {},
specificResources: {},
userCriteria: {
groupAppEntitlementsRef: [{appId: '<string>', id: '<string>'}],
managerUserIds: ['<string>'],
multiUserProfileAttributes: {},
userStatus: []
}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'excludedResourceTypes' => [
[
'appId' => '<string>',
'resourceTypeId' => '<string>'
]
],
'scope' => [
'accessProfileReviewDimensions' => [
'composition' => true,
'membershipCriteria' => true,
'membershipExceptions' => true
],
'accountCelExpression' => [
'expression' => '<string>'
],
'accountCriteria' => [
'accountTypes' => [
],
'appUserStatuses' => [
],
'noAccountOwner' => true
],
'allAccessConflicts' => [
],
'allAccounts' => [
],
'allGrants' => [
],
'allUsers' => [
],
'appAccess' => [
],
'appSelectionCriteria' => [
'annotationMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'appIds' => [
'<string>'
],
'complianceFrameworkAttributeValueIds' => [
'<string>'
],
'resourceProfileMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'resourceTypeRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'riskLevelAttributeValueIds' => [
'<string>'
]
],
'celExpression' => [
'expression' => '<string>'
],
'excludedAppSelectionCriteria' => [
'annotationMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'appIds' => [
'<string>'
],
'complianceFrameworkAttributeValueIds' => [
'<string>'
],
'resourceProfileMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'resourceTypeRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'riskLevelAttributeValueIds' => [
'<string>'
]
],
'excludedResourceTypeSelections' => [
],
'excludedSpecificResources' => [
],
'grantsByCriteria' => [
'accessProfileFilter' => [
'excludedAccessProfileIds' => [
'<string>'
],
'includedAccessProfileIds' => [
'<string>'
]
],
'daysSinceAdded' => '<string>',
'daysSinceLastUsed' => '<string>',
'daysSinceReviewed' => '<string>',
'grantsAddedBetween' => [
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z'
],
'usedWithinLast' => '<string>'
],
'resourceSelection' => [
],
'resourceTypeSelections' => [
],
'scopeRoleSelection' => [
],
'selectedUsers' => [
'userIds' => [
'<string>'
]
],
'specificAccessConflicts' => [
],
'specificAccessProfiles' => [
],
'specificResources' => [
],
'userCriteria' => [
'groupAppEntitlementsRef' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'managerUserIds' => [
'<string>'
],
'multiUserProfileAttributes' => [
],
'userStatus' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type"
payload := strings.NewReader("{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"excludedResourceTypes": [
{
"accessReviewTemplateId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"resourceTypeId": "<string>",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": true,
"membershipCriteria": true,
"membershipExceptions": true
},
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountDomain": "APP_USER_DOMAIN_UNSPECIFIED",
"accountTypes": [
"APP_USER_TYPE_UNSPECIFIED"
],
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"filterType": "ACCESS_PROFILE_FILTER_TYPE_UNSPECIFIED",
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"sourceFilter": "GRANT_SOURCE_FILTER_UNSPECIFIED",
"typeFilter": "GRANT_FILTER_TYPE_UNSPECIFIED",
"usedWithinLast": "<string>"
},
"principalTypeFilter": "PRINCIPAL_TYPE_FILTER_UNSPECIFIED",
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": [
"UNKNOWN"
]
}
}
}Set Scope By Excluded Resource Type
SetScopeByExcludedResourceType replaces the scope configuration and the set of excluded resource types for a user-first campaign template. Each call replaces the whole excluded set. Exclusions only take effect for user-first templates (scope type ACCESS_REVIEW_SCOPE_TYPE_BY_USERS). Read the current exclusions back with GetScopeAndEntitlements.
This route is superseded and scheduled for removal. Requests that set excluded_resource_types are rejected with FAILED_PRECONDITION; an empty list, which clears stored resource-type exclusions, is still accepted. To exclude entitlements by resource type, call SetScopeAndExcludedEntitlements with scope.excluded_app_selection_criteria and list the resource types in resource_type_refs.
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"excludedResourceTypes": [
{
"appId": "<string>",
"resourceTypeId": "<string>"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": true,
"membershipCriteria": true,
"membershipExceptions": true
},
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"usedWithinLast": "<string>"
},
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type"
payload = {
"excludedResourceTypes": [
{
"appId": "<string>",
"resourceTypeId": "<string>"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": True,
"membershipCriteria": True,
"membershipExceptions": True
},
"accountCelExpression": { "expression": "<string>" },
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": True
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": ["<string>"],
"complianceFrameworkAttributeValueIds": ["<string>"],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": ["<string>"]
},
"celExpression": { "expression": "<string>" },
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": ["<string>"],
"complianceFrameworkAttributeValueIds": ["<string>"],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": ["<string>"]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": ["<string>"],
"includedAccessProfileIds": ["<string>"]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"usedWithinLast": "<string>"
},
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": { "userIds": ["<string>"] },
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": ["<string>"],
"multiUserProfileAttributes": {},
"userStatus": []
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
excludedResourceTypes: [{appId: '<string>', resourceTypeId: '<string>'}],
scope: {
accessProfileReviewDimensions: {composition: true, membershipCriteria: true, membershipExceptions: true},
accountCelExpression: {expression: '<string>'},
accountCriteria: {accountTypes: [], appUserStatuses: [], noAccountOwner: true},
allAccessConflicts: {},
allAccounts: {},
allGrants: {},
allUsers: {},
appAccess: {},
appSelectionCriteria: {
annotationMatches: [{key: '<string>', value: '<string>'}],
appIds: ['<string>'],
complianceFrameworkAttributeValueIds: ['<string>'],
resourceProfileMatches: [{key: '<string>', value: '<string>'}],
resourceTypeRefs: [{appId: '<string>', id: '<string>'}],
riskLevelAttributeValueIds: ['<string>']
},
celExpression: {expression: '<string>'},
excludedAppSelectionCriteria: {
annotationMatches: [{key: '<string>', value: '<string>'}],
appIds: ['<string>'],
complianceFrameworkAttributeValueIds: ['<string>'],
resourceProfileMatches: [{key: '<string>', value: '<string>'}],
resourceTypeRefs: [{appId: '<string>', id: '<string>'}],
riskLevelAttributeValueIds: ['<string>']
},
excludedResourceTypeSelections: {},
excludedSpecificResources: {},
grantsByCriteria: {
accessProfileFilter: {excludedAccessProfileIds: ['<string>'], includedAccessProfileIds: ['<string>']},
daysSinceAdded: '<string>',
daysSinceLastUsed: '<string>',
daysSinceReviewed: '<string>',
grantsAddedBetween: {endDate: '2023-11-07T05:31:56Z', startDate: '2023-11-07T05:31:56Z'},
usedWithinLast: '<string>'
},
resourceSelection: {},
resourceTypeSelections: {},
scopeRoleSelection: {},
selectedUsers: {userIds: ['<string>']},
specificAccessConflicts: {},
specificAccessProfiles: {},
specificResources: {},
userCriteria: {
groupAppEntitlementsRef: [{appId: '<string>', id: '<string>'}],
managerUserIds: ['<string>'],
multiUserProfileAttributes: {},
userStatus: []
}
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'excludedResourceTypes' => [
[
'appId' => '<string>',
'resourceTypeId' => '<string>'
]
],
'scope' => [
'accessProfileReviewDimensions' => [
'composition' => true,
'membershipCriteria' => true,
'membershipExceptions' => true
],
'accountCelExpression' => [
'expression' => '<string>'
],
'accountCriteria' => [
'accountTypes' => [
],
'appUserStatuses' => [
],
'noAccountOwner' => true
],
'allAccessConflicts' => [
],
'allAccounts' => [
],
'allGrants' => [
],
'allUsers' => [
],
'appAccess' => [
],
'appSelectionCriteria' => [
'annotationMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'appIds' => [
'<string>'
],
'complianceFrameworkAttributeValueIds' => [
'<string>'
],
'resourceProfileMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'resourceTypeRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'riskLevelAttributeValueIds' => [
'<string>'
]
],
'celExpression' => [
'expression' => '<string>'
],
'excludedAppSelectionCriteria' => [
'annotationMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'appIds' => [
'<string>'
],
'complianceFrameworkAttributeValueIds' => [
'<string>'
],
'resourceProfileMatches' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'resourceTypeRefs' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'riskLevelAttributeValueIds' => [
'<string>'
]
],
'excludedResourceTypeSelections' => [
],
'excludedSpecificResources' => [
],
'grantsByCriteria' => [
'accessProfileFilter' => [
'excludedAccessProfileIds' => [
'<string>'
],
'includedAccessProfileIds' => [
'<string>'
]
],
'daysSinceAdded' => '<string>',
'daysSinceLastUsed' => '<string>',
'daysSinceReviewed' => '<string>',
'grantsAddedBetween' => [
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z'
],
'usedWithinLast' => '<string>'
],
'resourceSelection' => [
],
'resourceTypeSelections' => [
],
'scopeRoleSelection' => [
],
'selectedUsers' => [
'userIds' => [
'<string>'
]
],
'specificAccessConflicts' => [
],
'specificAccessProfiles' => [
],
'specificResources' => [
],
'userCriteria' => [
'groupAppEntitlementsRef' => [
[
'appId' => '<string>',
'id' => '<string>'
]
],
'managerUserIds' => [
'<string>'
],
'multiUserProfileAttributes' => [
],
'userStatus' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type"
payload := strings.NewReader("{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/access_review_template/{access_review_template_id}/scope_by_excluded_resource_type")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"excludedResourceTypes\": [\n {\n \"appId\": \"<string>\",\n \"resourceTypeId\": \"<string>\"\n }\n ],\n \"scope\": {\n \"accessProfileReviewDimensions\": {\n \"composition\": true,\n \"membershipCriteria\": true,\n \"membershipExceptions\": true\n },\n \"accountCelExpression\": {\n \"expression\": \"<string>\"\n },\n \"accountCriteria\": {\n \"accountTypes\": [],\n \"appUserStatuses\": [],\n \"noAccountOwner\": true\n },\n \"allAccessConflicts\": {},\n \"allAccounts\": {},\n \"allGrants\": {},\n \"allUsers\": {},\n \"appAccess\": {},\n \"appSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"celExpression\": {\n \"expression\": \"<string>\"\n },\n \"excludedAppSelectionCriteria\": {\n \"annotationMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"appIds\": [\n \"<string>\"\n ],\n \"complianceFrameworkAttributeValueIds\": [\n \"<string>\"\n ],\n \"resourceProfileMatches\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"resourceTypeRefs\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"riskLevelAttributeValueIds\": [\n \"<string>\"\n ]\n },\n \"excludedResourceTypeSelections\": {},\n \"excludedSpecificResources\": {},\n \"grantsByCriteria\": {\n \"accessProfileFilter\": {\n \"excludedAccessProfileIds\": [\n \"<string>\"\n ],\n \"includedAccessProfileIds\": [\n \"<string>\"\n ]\n },\n \"daysSinceAdded\": \"<string>\",\n \"daysSinceLastUsed\": \"<string>\",\n \"daysSinceReviewed\": \"<string>\",\n \"grantsAddedBetween\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\"\n },\n \"usedWithinLast\": \"<string>\"\n },\n \"resourceSelection\": {},\n \"resourceTypeSelections\": {},\n \"scopeRoleSelection\": {},\n \"selectedUsers\": {\n \"userIds\": [\n \"<string>\"\n ]\n },\n \"specificAccessConflicts\": {},\n \"specificAccessProfiles\": {},\n \"specificResources\": {},\n \"userCriteria\": {\n \"groupAppEntitlementsRef\": [\n {\n \"appId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"managerUserIds\": [\n \"<string>\"\n ],\n \"multiUserProfileAttributes\": {},\n \"userStatus\": []\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"excludedResourceTypes": [
{
"accessReviewTemplateId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"resourceTypeId": "<string>",
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"scope": {
"accessProfileReviewDimensions": {
"composition": true,
"membershipCriteria": true,
"membershipExceptions": true
},
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountDomain": "APP_USER_DOMAIN_UNSPECIFIED",
"accountTypes": [
"APP_USER_TYPE_UNSPECIFIED"
],
"appUserStatuses": [
"APP_USER_STATUS_UNSPECIFIED"
],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"celExpression": {
"expression": "<string>"
},
"excludedAppSelectionCriteria": {
"annotationMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"appIds": [
"<string>"
],
"complianceFrameworkAttributeValueIds": [
"<string>"
],
"resourceProfileMatches": [
{
"key": "<string>",
"value": "<string>"
}
],
"resourceTypeRefs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"riskLevelAttributeValueIds": [
"<string>"
]
},
"excludedResourceTypeSelections": {},
"excludedSpecificResources": {},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"filterType": "ACCESS_PROFILE_FILTER_TYPE_UNSPECIFIED",
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"sourceFilter": "GRANT_SOURCE_FILTER_UNSPECIFIED",
"typeFilter": "GRANT_FILTER_TYPE_UNSPECIFIED",
"usedWithinLast": "<string>"
},
"principalTypeFilter": "PRINCIPAL_TYPE_FILTER_UNSPECIFIED",
"resourceSelection": {},
"resourceTypeSelections": {},
"scopeRoleSelection": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificAccessProfiles": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": [
"UNKNOWN"
]
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the user-first access review template to configure.
Body
AccessReviewSetTemplateScopeByExcludedResourceTypeRequest replaces a user-first template's scope and excluded resource types. To mark the excluded resource types as the active exclusion type, scope must set excluded_resource_type_selections.
The resource types to exclude from scope. Replaces all previously excluded resource types.
Show child attributes
Show child attributes
The AccessReviewScopeV2 message.
This message contains a oneof named apps_and_resources_scope. Only a single field of the following list may be set at a time:
- appAccess
- specificResources
- appSelectionCriteria
- resourceTypeSelections
This message contains a oneof named users_scope. Only a single field of the following list may be set at a time:
- allUsers
- selectedUsers
- userCriteria
- celExpression
This message contains a oneof named accounts_scope. Only a single field of the following list may be set at a time:
- allAccounts
- accountCriteria
- accountCelExpression
This message contains a oneof named grants_scope. Only a single field of the following list may be set at a time:
- allGrants
- grantsByCriteria
This message contains a oneof named access_conflicts_scope. Only a single field of the following list may be set at a time:
- allAccessConflicts
- specificAccessConflicts
This message contains a oneof named resource_scope. Only a single field of the following list may be set at a time:
- resourceSelection
This message contains a oneof named excluded_apps_and_resources_scope. Only a single field of the following list may be set at a time:
- excludedSpecificResources
- excludedResourceTypeSelections
- excludedAppSelectionCriteria
This message contains a oneof named access_profiles_scope. Only a single field of the following list may be set at a time:
- specificAccessProfiles
Show child attributes
Show child attributes
Response
AccessReviewSetTemplateScopeByExcludedResourceTypeResponse contains the resulting excluded resource types and scope.
AccessReviewSetTemplateScopeByExcludedResourceTypeResponse contains the resulting excluded resource types and scope.
The current resource types excluded from scope.
Show child attributes
Show child attributes
The AccessReviewScopeV2 message.
This message contains a oneof named apps_and_resources_scope. Only a single field of the following list may be set at a time:
- appAccess
- specificResources
- appSelectionCriteria
- resourceTypeSelections
This message contains a oneof named users_scope. Only a single field of the following list may be set at a time:
- allUsers
- selectedUsers
- userCriteria
- celExpression
This message contains a oneof named accounts_scope. Only a single field of the following list may be set at a time:
- allAccounts
- accountCriteria
- accountCelExpression
This message contains a oneof named grants_scope. Only a single field of the following list may be set at a time:
- allGrants
- grantsByCriteria
This message contains a oneof named access_conflicts_scope. Only a single field of the following list may be set at a time:
- allAccessConflicts
- specificAccessConflicts
This message contains a oneof named resource_scope. Only a single field of the following list may be set at a time:
- resourceSelection
This message contains a oneof named excluded_apps_and_resources_scope. Only a single field of the following list may be set at a time:
- excludedSpecificResources
- excludedResourceTypeSelections
- excludedAppSelectionCriteria
This message contains a oneof named access_profiles_scope. Only a single field of the following list may be set at a time:
- specificAccessProfiles
Show child attributes
Show child attributes
Was this page helpful?